package com.fjhx.victoriatourist.controller.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundQualityCheckSelectDto;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundQualityCheckVo;
import com.fjhx.victoriatourist.service.jd.JdRefundQualityCheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 京东售后退货质检 前端控制器
 * </p>
 *
 * @author
 * @since 2024-09-27
 */
@RestController
@RequestMapping("/jdRefundQualityCheck")
public class JdRefundQualityCheckController {

    @Autowired
    private JdRefundQualityCheckService jdRefundQualityCheckService;

    /**
     * 京东售后退货质检分页
     */
    @GetMapping("/getPage")
    public Page<JdRefundQualityCheckVo> page(JdRefundQualityCheckSelectDto dto) {
        return jdRefundQualityCheckService.getPage(dto);
    }

    ///**
    // * 添加京东售后退货质检
    // */
    //@PostMapping("/add")
    //public void add(@RequestBody JdRefundQualityCheckDto dto) {
    //    jdRefundQualityCheckService.add(dto);
    //}
    //
    ///**
    // * 删除京东售后退货质检
    // */
    //@PostMapping("/delete")
    //public void delete(@RequestBody JdRefundQualityCheckDto dto) {
    //    jdRefundQualityCheckService.delete(dto);
    //}
    //
    ///**
    // * 京东售后退货质检
    // */
    //@PostMapping("/edit")
    //public void edit(@RequestBody JdRefundQualityCheckDto dto) {
    //    jdRefundQualityCheckService.edit(dto);
    //}


}
