package com.fjhx.victoriatourist.entity.jd.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 京东售后退货质检
 * </p>
 *
 * @author
 * @since 2024-09-27
 */
@Getter
@Setter
@TableName("jd_refund_quality_check")
public class JdRefundQualityCheck extends BasePo {

    /**
     * 质检单号
     */
    private String code;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 良品数量
     */
    private Integer qualifiedCount;

    /**
     * 次品数量
     */
    private Integer defectiveCount;

    /**
     * 报废数量
     */
    private Integer scrappedCount;

}
